package com.dayou.controller;

import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.dayou.configuration.BaseEntity;
import com.dayou.configuration.RestResponse;
import com.dayou.entity.Configuration;
import com.dayou.service.IConfigurationService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/7/31
 * created with IntelliJ IDEA.
 */
@RestController
@RequestMapping("/configuration")
@Slf4j
public class ConfigurationController {

    @Autowired
    private IConfigurationService configurationService;

    @GetMapping("/{key}")
    public RestResponse<Configuration> getValueByKey(@PathVariable("key") String key){
        Configuration configuration = configurationService.getOne(new LambdaQueryWrapper<Configuration>()
                .eq(StrUtil.isNotBlank(key), Configuration::getName, key).eq(BaseEntity::getDeleted, Boolean.FALSE));
        return RestResponse.data(configuration);
    }

    @PutMapping()
    public RestResponse<Boolean> updateById(@RequestBody Configuration configuration){
        boolean b = configurationService.updateById(configuration);
        return RestResponse.data(b);
    }
}
