package com.dayou.controller;

import com.dayou.configuration.RestResponse;
import com.dayou.configuration.annotation.IgnoreAuth;
import com.dayou.entity.Cycle;
import com.dayou.service.IProfessorResultService;
import com.dayou.vo.AnalysisResultVO;
import com.dayou.vo.OriginScoreVO;
import com.dayou.vo.ProfessorResultVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/7/19
 * created with IntelliJ IDEA.
 */
@RestController
@RequestMapping("/professor")
@Slf4j
public class ProfessorResultController {

    @Autowired
    private IProfessorResultService professorResultService;

    @IgnoreAuth
    @GetMapping("/current")
    public RestResponse<List<OriginScoreVO>> getResultList(Cycle cycle){
        List<OriginScoreVO> list = professorResultService.getResultList(cycle);
        return RestResponse.data(list);
    }

    @GetMapping("/cycle/{id}")
    public RestResponse<List<ProfessorResultVO>> getResultByCycleId(@PathVariable("id") Long id){
        List<ProfessorResultVO> list = professorResultService.getResultByCycleId(id);
        return RestResponse.data(list);
    }

    @DeleteMapping("/{id}")
    public RestResponse<Boolean> removeScore(@PathVariable("id") Long id){
        boolean b = professorResultService.removeScore(id);
        return RestResponse.data(b);
    }

}
