package com.dayou.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.dayou.configuration.BaseEntity;
import com.github.liangbaika.validate.annations.AbcValidate;
import com.github.liangbaika.validate.enums.Check;
import lombok.Builder;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/7/13
 * created with IntelliJ IDEA.
 */
@Data
public class Question extends BaseEntity {

    @AbcValidate(required = true,message = "题目名称不能为空" ,fun = Check.NotEmpty)
    private String label;

    private Long parentId;

    private String scope;

    private BigDecimal minScore;

    private BigDecimal maxScore;

    @TableField(exist = false)
    private String parentLabel;

    @TableField(exist = false)
    private BigDecimal score;
}
