package com.dayou.service.websocket;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.socket.server.standard.ServerEndpointExporter;

import javax.websocket.ClientEndpointConfig;
import javax.websocket.server.ServerEndpointConfig;


/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/7/20
 * created with IntelliJ IDEA.
 */
@Configuration
public class WebSocketConfig extends ServerEndpointConfig.Configurator {
    /**
     * 注入ServerEndpointExporter，@Bean会自动注册使用@ServerEndpoint注解声明的websocket端点endpoint
     * @return
     */
    @Bean
    public ServerEndpointExporter serverEndpointExporter(){
        return new ServerEndpointExporter();
    }
}

